net.dontdrinkandroot.visualization.layout.graph

## Class IndexHashedArrayList<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<T>
      - - net.dontdrinkandroot.visualization.layout.graph.IndexHashedArrayList<T>

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<T>, Collection<T>, List<T>, RandomAccess

    public class IndexHashedArrayList<T>
    extends ArrayList<T>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`IndexHashedArrayList()`

### Method Summary

Methods
`void` `add(int index, T element)`
`boolean` `add(T e)`
`int` `indexOf(Object o)`
`T` `remove(int index)`
`boolean` `remove(Object o)`
`T` `set(int index, T element)`

### Methods inherited from class java.util.ArrayList

`addAll, addAll, clear, clone, contains, ensureCapacity, get, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeAll, removeRange, retainAll, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Constructor Detail

#### IndexHashedArrayList

    public IndexHashedArrayList()

### Method Detail

#### indexOf

    public int indexOf(Object o)

Specified by:
  `indexOf` in interface `List<T>`
Overrides:
  `indexOf` in class `ArrayList<T>`

#### remove

    public T remove(int index)

Specified by:
  `remove` in interface `List<T>`
Overrides:
  `remove` in class `ArrayList<T>`

#### remove

    public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<T>`
Specified by:
  `remove` in interface `List<T>`
Overrides:
  `remove` in class `ArrayList<T>`

#### add

    public boolean add(T e)

Specified by:
  `add` in interface `Collection<T>`
Specified by:
  `add` in interface `List<T>`
Overrides:
  `add` in class `ArrayList<T>`

#### add

    public void add(int index,
           T element)

Specified by:
  `add` in interface `List<T>`
Overrides:
  `add` in class `ArrayList<T>`

#### set

    public T set(int index,
        T element)

Specified by:
  `set` in interface `List<T>`
Overrides:
  `set` in class `ArrayList<T>`